Fetch segment data
curl --request POST \
--url https://api.getcargo.io/v1/segmentation/segments/fetch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"modelUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filter": {
"groups": [
{
"conditions": [
{
"kind": "<string>",
"name": "<string>",
"clause": "<string>"
}
]
}
]
},
"sort": [
{
"columnSlug": "<string>"
}
],
"limit": 123,
"fetchingLimit": 123,
"fetchingOffset": 123,
"enrich": true,
"sync": true
}
'import requests
url = "https://api.getcargo.io/v1/segmentation/segments/fetch"
payload = {
"modelUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filter": { "groups": [{ "conditions": [
{
"kind": "<string>",
"name": "<string>",
"clause": "<string>"
}
] }] },
"sort": [{ "columnSlug": "<string>" }],
"limit": 123,
"fetchingLimit": 123,
"fetchingOffset": 123,
"enrich": True,
"sync": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
modelUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
filter: {
groups: [{conditions: [{kind: '<string>', name: '<string>', clause: '<string>'}]}]
},
sort: [{columnSlug: '<string>'}],
limit: 123,
fetchingLimit: 123,
fetchingOffset: 123,
enrich: true,
sync: true
})
};
fetch('https://api.getcargo.io/v1/segmentation/segments/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"records": [
{}
],
"columns": [
{
"slug": "<string>",
"label": "<string>",
"modelUuid": "<string>"
}
],
"count": 123
}Segmentation - Segments
Fetch segment data
Fetch data for a segment
POST
/
segmentation
/
segments
/
fetch
Fetch segment data
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body schema.
Model identifier.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Segment filter criteria.
Show child attributes
Show child attributes
Sort criteria for the segment.
Show child attributes
Show child attributes
Maximum number of records to include.
Number of records to fetch per batch.
Offset for fetching records.
Whether to enrich records with segment membership (adds a _segments column).
Whether to sync before fetching.
Was this page helpful?
⌘I

